## org.apache.axis.ime.event
Class MessageReceiveEvent

    java.lang.Object
      |
      +--org.apache.axis.ime.event.MessageCorrelatedEvent
            |
            +--org.apache.axis.ime.event.MessageReceiveEvent

All Implemented Interfaces:
  MessageExchangeEvent, java.io.Serializable

public class MessageReceiveEvent
extends MessageCorrelatedEvent

The MessageReceiveEvent is used to notify listeners that a message has been received.

Author:
  Ray Chun (rchun@sonicsoftware.com)
See Also:
  Serialized Form

Field Summary
`protected MessageExchangeReceiveContext` `receiveContext`

Fields inherited from class org.apache.axis.ime.event.MessageCorrelatedEvent
`context, correlator`

Constructor Summary
`MessageReceiveEvent(MessageExchangeCorrelator correlator, MessageExchangeReceiveContext receiveContext, MessageContext context)`

Method Summary
`MessageExchangeReceiveContext` `getMessageExchangeReceiveContext()`

Methods inherited from class org.apache.axis.ime.event.MessageCorrelatedEvent
`getMessageContext, getMessageExchangeCorrelator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### receiveContext

    protected MessageExchangeReceiveContext receiveContext

Constructor Detail

### MessageReceiveEvent

    public MessageReceiveEvent(MessageExchangeCorrelator correlator,
                               MessageExchangeReceiveContext receiveContext,
                               MessageContext context)

Method Detail

### getMessageExchangeReceiveContext

    public MessageExchangeReceiveContext getMessageExchangeReceiveContext()

Copyright © 2003 Apache Web Services Project. All Rights Reserved.